Subtitles
Integrieren
veed/subtitles
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veed/subtitles?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veed/subtitles?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veed/subtitles", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/de/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "veed/subtitles",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}
}
Rufe das Modell Subtitles (veed/subtitles) über die Doitong API auf. Dokumentation für Agenten: https://doitong.com/de/developers/models/veed/subtitles.md
POST https://api.doitong.com/v1/run/veed/subtitles?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}
Wenn der Antwortstatus "queued" oder "running" lautet, frage GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ab, bis er "succeeded" lautet; die Dateien befinden sich in outputs[].url. POST https://api.doitong.com/v1/quote/veed/subtitles mit demselben Body gibt den exakten Preis vor der Ausführung zurück.
Dateien wie das Beispiel: 0,20 $ 200 API-Credits Deine Dateien werden vor der Ausführung gemessen Auf dieser Seite ausführen
Dein neuer API-Schlüssel. Sie wird nur jetzt angezeigt und befindet sich bereits im Code und im untenstehenden API-Schlüssel-Feld. Halten Sie sie geheim: Fügen Sie sie niemals in Code ein, der in einem Browser ausgeführt wird.
Dein erstes Ergebnis erscheint hier
Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.
Anfrage erstellen
Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.
/run/veed/subtitles?wait=20
Preis → 0,20 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veed/subtitles?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veed/subtitles?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veed/subtitles", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "veed/subtitles",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
},
"wait_seconds": 20
}
}
}
Diese Anfrage ausführen
Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen
Über Subtitles
Fügt einem Video (`video_url`) gerenderte Untertitel mit einer erforderlichen Stil-`preset` hinzu; es stehen 30 Voreinstellungen zur Verfügung. Das Video wird automatisch transkribiert, oder dieser Schritt wird übersprungen, wenn du `srt_file_url` oder `srt_content` angibst. `language` legt die Ausgangssprache für eine höhere Genauigkeit fest, und `translation_language` übersetzt die Untertitel. Eine `vocabulary`-Liste mit bis zu 100 Begriffen und `customization`-Überschreibungen verfeinern das Ergebnis.
Parameter
Sende entweder den kanonischen Namen oder den nativen Namen, nicht beide. Kanonische Namen
video_urlerforderlich
video
preseterforderlich
+14 weitere
caprilowkeyvintadiegoalislaykittyhustlekarlsproutflexmintrizzvegaslanguageoptional
+148 weitere
ar-TNast-ESaz-AZbabasbe-BYbg-BGbrbs-BAca-ESceb-PHckb-IQcs-CZcy-GBda-DKde-DEdyuel-GRen-AUen-GBen-INen-NZen-USeoes-ARes-BOes-CLes-COes-CRes-DOes-ECes-ESes-GTes-HNes-MXes-NIes-PAes-PEes-PRes-PYes-SVes-USes-UYes-VEet-EEeu-ESfa-IRfffi-FIfil-PHfofr-CAfr-FRfygagdgl-ESha-NGhawhe-ILhr-HRhsbhthu-HUhy-AMid-IDigis-ISit-ITja-JPja-Latn-JPjv-IDka-GEkabkam-KEkea-CVkk-KZko-KRkuky-KGlalb-LUlglijln-CDlo-LAlt-LTluo-KElv-LVmgmi-NZmk-MKmn-MNms-MYmt-MTnb-NOnl-NLnso-ZAny-MWoc-FRpl-PLps-AFpt-BRpt-PTro-ROrohru-RUrw-RWsahsk-SKsl-SIsmsn-ZWso-SOsq-ALsr-Latn-RSsr-RSsrdsssu-IDsv-SEsw-KEsw-TZtg-TJth-THtktntoktontr-TRts-ZAttuk-UAumb-AOur-INur-PKuz-UZvi-VNvrowo-SNxh-ZAyiyo-NGyue-Hant-HKzhzh-HKzh-TWzu-ZAtranslation_languageoptional
+198 weitere
ar-MAar-OMar-PSar-QAar-SAar-TNawaayaz-AZbanbbcbe-BYbembewbg-BGbhobikbmbs-BAbtsbtxbuaca-ESceb-PHcggchmckb-IQcnhcocrhcrscs-CZcvcy-GBda-DKde-DEdindoidovdvdzeeel-GRen-AUen-GBen-INen-NZen-USeoes-ARes-BOes-CLes-COes-CRes-DOes-ECes-ESes-GTes-HNes-MXes-NIes-PAes-PEes-PRes-PYes-SVes-USes-UYes-VEet-EEeu-ESfa-IRfffi-FIfil-PHfjfr-CAfr-FRfygagaagdgl-ESgngomha-NGhawhe-ILhilhmnhr-HRhrxhthu-HUhy-AMid-IDigilois-ISit-ITja-JPja-Latn-JPjv-IDka-GEkk-KZko-KRkriktukuky-KGlalb-LUlglilijlmoln-CDlo-LAlt-LTltgluo-KEluslv-LVmaimakmgmi-NZminmk-MKmn-MNmni-Mteims-Arabms-MYmt-MTnb-NOnewnl-NLnrnso-ZAnusny-MWoc-FRompagpampappl-PLps-AFpt-BRpt-PTqurnro-ROromru-RUrw-RWscnsgshnsk-SKsl-SIsmsn-ZWso-SOsq-ALsr-Latn-RSsr-RSssstsu-IDsv-SEsw-KEsw-TZszltettg-TJth-THtitktntr-TRts-ZAttuguk-UAur-INur-PKuz-UZvi-VNxh-ZAyiyo-NGyuayue-Hant-HKzhzh-HKzh-TWzu-ZAsrt_file_urloptional
srt_contentoptional
vocabularyoptional
vocabulary[].worderforderlich
vocabulary[].replaceserforderlich
customizationoptional
customization.positionoptional
customization.shadowoptional
customization.text_customizationsoptional
customization.text_customizations.baselineoptional
customization.text_customizations.highlightedoptional
Dateiparameter akzeptieren eine öffentliche https://-URL, eine data:-URI bis 10 MB oder die file_url eines Uploads. Dateien
Ausgabe
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "veed/subtitles",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 200,
"usd": "0.20",
"charged": 200,
"refunded": 0
},
"input": {
"video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"preset": "glass"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Ausgabefelder
- video
- object {url, content_type, file_name, file_size}Gerendertes Video mit formatierten Untertiteln.
Weitere VEED Fabric-Varianten
Weitere Modelle: Video zu Video
Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/veed/subtitles.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt